Bug 13293 - lockd and automounter fail during shutdown - dfct18675
lockd and automounter fail during shutdown - dfct18675
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-06-30 16:36 EDT by Becky Miller
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-27 16:46:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Becky Miller 2000-06-30 16:36:01 EDT
At system boot lockd and automounter are [ok] but [fail] when shutting 
down.  This happens on all Dell PowerEdge servers.
Comment 1 Henri Schlereth 2000-07-03 02:24:03 EDT
I am also seeing this(lockd) on my built-from-scratch boxes, so it isnt just a
Dell boxen prob.
Comment 2 Michael Redinger 2000-07-05 09:34:50 EDT
The nfs lockd part is a duplicate of #12316.

As of automounter:

At first boot after installation I do get the following messages:

insmod: insmod: a module named autofs already exists
insmod: insmod autofs failed

The first of these two messages is only shown at the fist boot.

The message is shown right after "Initializing random number generator". So I do
suppose that this happens in S25netfs (when in runlevel 3).

At shutdown, the exact message is:

Stopping automounter [OK]
Stopping automounter (attempt 2) /usr/sbin/automount: no process killed

I did also upgrade to the latest initscripts (that where published when updating
XFree86 in beta2). Same result.
Comment 3 Nalin Dahyabhai 2000-07-06 09:56:05 EDT
Shutting down autofs is always tricky, especially when filesystems controlled
by autofs are busy.  This should be improved somewhat in the current release,
though the busy filesystem problem remains not completely solved.
Comment 4 Bill Nottingham 2000-07-06 17:46:41 EDT
changed component to autofs.
Comment 5 Kurt Ludwig 2000-07-21 14:12:18 EDT
on AXP in beta 3, on boot it throws simmilar messages about not being able to 
insert the module into the kernel. But when you log in, it is running and yes 
the file systems are auto-mountable when they are called.

Kurt Ludwig
Comment 6 Bill Nottingham 2000-07-25 15:27:50 EDT
I can't reproduce this in beta4. lockd shutdown works
Comment 7 Becky Miller 2000-07-27 16:46:41 EDT
This is fixed in Beta 5.  Thanks!
Comment 8 Nalin Dahyabhai 2000-07-31 17:45:27 EDT
Okay, closing the bug.

Note You need to log in before you can comment on or make changes to this bug.